using SdbS.Model;
using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SdbS.View_Guest.Pages
{
    /// <summary>
    /// Логика взаимодействия для ManufacturedMachines.xaml
    /// </summary>
    public partial class Machines : Page
    {
        /* Класс со свойствами для передачи их данных в кастомный ListBox */
        public class DataMachines
        {
            public string Name { get; set; }
            public string Type { get; set; }
            //public byte[] Photo { get; set; }
            public System.DateTime MakingDate { get; set; }

            // Создание временного списка для поиска 
            public static List<object> tempItems = new List<object>();
        }

        public Machines()
        {
            InitializeComponent();

            // Передача reader`а в переменную для чтения данных из таблицы //
            SqlDataReader reader = Relation_MachinesAndType.GetReader_DefaultListBox();

            // Формирование списка для ListBox
            while (reader.Read())
            {
                listBox_Machines.Items.Add(
                new DataMachines()
                {
                    Name = reader["nameMachine"].ToString(),
                    Type = reader["name"].ToString(),
                    MakingDate = DateTime.Parse(reader["makingDate"].ToString()),
                });
            }

            reader.Close();
            CommonClass.GetConnection().Close();
        }
    }
}
